diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
index 4f89e253..1a48a063 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
@@ -10,68 +10,73 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 from . import utils as rules_utils
 
 
-class RulesUpdateTestCase(BaseTestGenerator):
-    """This class will update the rule under table node."""
-    scenarios = [
-        ('Put rule Node URL', dict(url='/browser/rule/obj/'))
-    ]
+class TestRulesUpdate:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_rule_update(self, context_of_tests):
+        """
+        When the rule PUT request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to delete rule.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to delete rule.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.rule_name = "test_rule_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.rule_id = rules_utils.create_rule(self.server, self.db_name,
-                                               self.schema_name,
-                                               self.table_name,
-                                               self.rule_name)
+            raise Exception('Could not find the schema to delete rule.')
+        table_name = 'table_column_%s' % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+        rule_name = 'test_rule_delete_%s' % (str(uuid.uuid4())[1:8])
+        rule_id = rules_utils.create_rule(server, db_name,
+                                          schema_name,
+                                          table_name,
+                                          rule_name)
+        rule_response = rules_utils.verify_rule(server, db_name,
+                                                rule_name)
+        if not rule_response:
+            raise Exception('Could not find the rule to update.')
 
-    def runTest(self):
-        """This function will update the rule under table node."""
-        rule_response = rules_utils.verify_rule(self.server, self.db_name,
-                                                self.rule_name)
-        data = {"id": self.rule_id,
-                "comment": "This is testing comment."
+        data = {'id': rule_id,
+                'comment': 'This is testing comment.'
                 }
-        if not rule_response:
-            raise Exception("Could not find the rule to update.")
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
-                                                self.rule_id),
+        url = '/browser/rule/obj/'
+        response = http_client.put(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id, table_id,
+                                                rule_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'rule',
+            'pgadmin.node.rule',
+            False,
+            'icon-rule',
+            rule_name
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/__init__.py
index 94faaf55..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class TablesTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_base_partition_table.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_base_partition_table.py
index 38c040f0..b4d7caee 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_base_partition_table.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_base_partition_table.py
@@ -6,102 +6,48 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-from pgadmin.browser.server_groups.servers.databases.schemas\
-    .tables.base_partition_table import BasePartitionTable
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class TestBasePartitionTable(BaseTestGenerator):
-    scenarios = [
-        ('#is_table_partitioned when table information does not '
-         'have partition information, '
-         'it returns false',
-         dict(
-             test='is_table_partitioned',
-             input_parameters=dict(),
-             expected_return=False
-         )),
-        ('#is_table_partitioned when table information '
-         'has partition information and table is partitioned, '
-         'it returns true',
-         dict(
-             test='is_table_partitioned',
-             input_parameters=dict(
-                 is_partitioned=True
-             ),
-             expected_return=True
-         )),
-        ('#is_table_partitioned when table information '
-         'has partition information and table is not partitioned, '
-         'it returns false',
-         dict(
-             test='is_table_partitioned',
-             input_parameters=dict(
-                 is_partitioned=False
-             ),
-             expected_return=False
-         )),
-        ('#is_table_partitioned when node_type is present '
-         'and is partition, '
-         'it returns true',
-         dict(
-             test='is_table_partitioned',
-             input_parameters=dict(
-                 is_partitioned=False
-             ),
-             node_type='partition',
-             expected_return=True
-         )),
-        ('#is_table_partitioned when node_type is present '
-         'and is not partition '
-         'and table is not partitioned '
-         'it returns true',
-         dict(
-             test='is_table_partitioned',
-             input_parameters=dict(
-                 is_partitioned=False
-             ),
-             node_type='table',
-             expected_return=False
-         )),
-
+import pytest
+from grappa import should
 
-        ('#get_icon_css_class when table is partitioned '
-         'it returns icon-partition class',
-         dict(
-             test='get_icon_css_class',
-             input_parameters=dict(
-                 is_partitioned=True
-             ),
-             expected_return='icon-partition'
-         )),
-        ('#get_icon_css_class when table is not partitioned '
-         'it returns icon-table class',
-         dict(
-             test='get_icon_css_class',
-             input_parameters=dict(
-                 is_partitioned=False
-             ),
-             expected_return='icon-table'
-         ))
-    ]
+from pgadmin.browser.server_groups.servers.databases.schemas \
+    .tables.base_partition_table import BasePartitionTable
 
-    def runTest(self):
-        if self.test == 'is_table_partitioned':
-            self.__test_is_table_partitioned()
-        elif self.test == 'get_icon_css_class':
-            self.__test_get_icon_css_class()
 
-    def __test_is_table_partitioned(self):
+class TestIsTablePartitioned:
+    """
+    test #is_table_partitioned
+    """
+    @pytest.mark.parametrize(
+        'input_parameters, expected_return, node_type', [
+            (dict(), False, None),
+            (dict(is_partitioned=True), True, None),
+            (dict(is_partitioned=False), False, None),
+            (dict(is_partitioned=False), True, 'partition'),
+            (dict(is_partitioned=False), False, 'table'),
+        ])
+    def test_is_table_partitioned(self,
+                                  input_parameters,
+                                  expected_return,
+                                  node_type):
         subject = BasePartitionTable()
-        if hasattr(self, 'node_type'):
-            subject.node_type = self.node_type
-
-        self.assertEqual(subject.is_table_partitioned(self.input_parameters),
-                         self.expected_return)
-
-    def __test_get_icon_css_class(self):
+        if node_type is not None:
+            subject.node_type = node_type
+
+        subject.is_table_partitioned(input_parameters) | should.be.equal.to(
+            expected_return)
+
+
+class TestGetIconCSSClass:
+    """
+    test #get_icon_css_class
+    """
+    @pytest.mark.parametrize(
+        'input_parameters, expected_return', [
+            (dict(is_partitioned=True), 'icon-partition'),
+            (dict(is_partitioned=False), 'icon-table'),
+        ])
+    def test_get_icon_css_class(self, input_parameters, expected_return):
         subject = BasePartitionTable()
 
-        self.assertEqual(subject.get_icon_css_class(self.input_parameters),
-                         self.expected_return)
+        subject.get_icon_css_class(input_parameters) | should.be.equal.to(
+            expected_return)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
index 6228fe22..78c3ed78 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
@@ -9,44 +9,54 @@
 
 import os
 
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
+import pytest
+from grappa import should
+
+from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
 
 
-class TestColumnAclSql(SQLTemplateTestBase):
-    scenarios = [
-        # Fetching default URL for schema node.
-        ('Test Column ACL SQL file', dict())
-    ]
-
-    def __init__(self):
-        super(TestColumnAclSql, self).__init__()
-        self.table_id = -1
-        self.column_id = -1
-
-    def test_setup(self, connection, cursor):
-        cursor.execute("SELECT pg_class.oid AS table_id, "
-                       "pg_attribute.attnum AS column_id "
-                       "FROM pg_class JOIN pg_attribute ON "
-                       "attrelid=pg_class.oid "
-                       "WHERE pg_class.relname='test_table'"
-                       " AND pg_attribute.attname = 'some_column'")
-        self.table_id, self.column_id = cursor.fetchone()
-
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "acl.sql")
-        template = file_as_template(template_file)
-        public_schema_id = 2200
-        sql = template.render(scid=public_schema_id,
-                              tid=self.table_id,
-                              clid=self.column_id
-                              )
-
-        return sql
-
-    def assertions(self, fetch_result, descriptions):
-        self.assertEqual(0, len(fetch_result))
+@pytest.mark.database
+class TestColumnAclSql:
+    def test_column_acl_sql(self, context_of_tests):
+        """
+        When all parameters are present
+        It correctly generates the SQL
+        And executes against the database
+        """
+        server = context_of_tests['server']
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
+
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
+
+            cursor = connection.cursor()
+
+            cursor.execute("SELECT pg_class.oid AS table_id, "
+                           "pg_attribute.attnum AS column_id "
+                           "FROM pg_class JOIN pg_attribute ON "
+                           "attrelid=pg_class.oid "
+                           "WHERE pg_class.relname='test_table'"
+                           " AND pg_attribute.attname = 'some_column'")
+            table_id, column_id = cursor.fetchone()
+
+            for version in versions_to_test:
+                template_file = self.get_template_file(version, "acl.sql")
+                template = file_as_template(template_file)
+                public_schema_id = 2200
+                sql = template.render(scid=public_schema_id,
+                                      tid=table_id,
+                                      clid=column_id
+                                      )
+
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
+
+                fetch_result | should.have.length(0)
 
     @staticmethod
     def get_template_file(version, filename):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
index 651a597a..9559b784 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
@@ -9,48 +9,60 @@
 
 import os
 
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
+import pytest
+from grappa import should
+
+from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
 
 
-class TestColumnPropertiesSql(SQLTemplateTestBase):
-    scenarios = [
-        # Fetching default URL for schema node.
-        ('Test Column Properties SQL file', dict())
-    ]
+@pytest.mark.database
+class TestColumnPropertiesSql:
+    def test_run(self, context_of_tests):
+        """
+        When all parameters are present
+        It executes the query to the retrieve the column properties
+        """
+        server = context_of_tests['server']
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
 
-    def __init__(self):
-        super(TestColumnPropertiesSql, self).__init__()
-        self.table_id = -1
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
 
-    def test_setup(self, connection, cursor):
-        cursor.execute("SELECT oid FROM pg_class where relname='test_table'")
+            cursor = connection.cursor()
+            cursor.execute(
+                'SELECT oid FROM pg_class where relname=\'test_table\'')
 
-        self.table_id = cursor.fetchone()[0]
+            table_id = cursor.fetchone()[0]
 
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "properties.sql")
-        template = file_as_template(template_file)
-        public_schema_id = 2200
-        sql = template.render(scid=public_schema_id,
-                              tid=self.table_id
-                              )
+            for version in versions_to_test:
+                template_file = self.get_template_file(version,
+                                                       'properties.sql')
+                template = file_as_template(template_file)
+                public_schema_id = 2200
+                sql = template.render(
+                    scid=public_schema_id,
+                    tid=table_id
+                )
 
-        return sql
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
 
-    def assertions(self, fetch_result, descriptions):
-        first_row = {}
-        for index, description in enumerate(descriptions):
-            first_row[description.name] = fetch_result[0][index]
+                first_row = {}
+                for index, description in enumerate(cursor.description):
+                    first_row[description.name] = fetch_result[0][index]
 
-        self.assertEqual('some_column', first_row['name'])
-        self.assertEqual('character varying', first_row['cltype'])
-        self.assertEqual(3, len(fetch_result))
+                first_row['name'] | should.be.equal.to('some_column')
+                first_row['cltype'] | should.be.equal.to('character varying')
+                fetch_result | should.have.length(3)
 
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "column", "sql",
+            os.path.dirname(__file__), '..', 'templates', 'column', 'sql',
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
index 4c3cde31..f9cd88f3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
@@ -10,70 +10,36 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class TableAddTestCase(BaseTestGenerator):
-    """ This class will add new collation under schema node. """
-    scenarios = [
-        # Fetching default URL for table node.
-        ('Create Table', dict(url='/browser/table/obj/')),
-        ('Create Range partitioned table with 2 partitions',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='range'
-              )
-         ),
-        ('Create List partitioned table with 2 partitions',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='list'
-              )
-         )
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
+class TestTableAdd:
+    def set_up(self, context_of_tests):
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        self.server_id = server_data['server_id']
+        self.db_id = server_data['db_id']
+        self.schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        self.server_id = server_data['server_id']
         schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
 
-        self.is_partition = False
-        if hasattr(self, 'server_min_version'):
-            server_con = server_utils.connect_server(self, self.server_id)
-            if not server_con["info"] == "Server connected.":
-                raise Exception("Could not connect to server to add "
-                                "partitioned table.")
-            if server_con["data"]["version"] < self.server_min_version:
-                message = "Partitioned table are not supported by " \
-                          "PPAS/PG 10.0 and below."
-                self.skipTest(message)
-            else:
-                self.is_partition = True
-
-    def runTest(self):
-        """ This function will add table under schema node. """
         db_user = self.server["username"]
-        self.table_name = "test_table_add_%s" % (str(uuid.uuid4())[1:8])
-        data = {
+        table_name = "test_table_add_%s" % (str(uuid.uuid4())[1:8])
+        self.data = {
             "check_constraint": [],
             "coll_inherits": "[]",
             "columns": [
@@ -107,7 +73,7 @@ class TableAddTestCase(BaseTestGenerator):
             "like_constraints": True,
             "like_default_value": True,
             "like_relation": "pg_catalog.pg_namespace",
-            "name": self.table_name,
+            "name": table_name,
             "primary_key": [],
             "relacl": [
                 {
@@ -135,7 +101,7 @@ class TableAddTestCase(BaseTestGenerator):
             ],
             "relhasoids": True,
             "relowner": db_user,
-            "schema": self.schema_name,
+            "schema": schema_name,
             "seclabels": [],
             "spcname": "pg_default",
             "unique_constraint": [],
@@ -193,43 +159,120 @@ class TableAddTestCase(BaseTestGenerator):
             ]
         }
 
-        if self.is_partition:
-            data['partition_type'] = self.partition_type
-            data['is_partitioned'] = True
-            if self.partition_type == 'range':
-                data['partitions'] = \
-                    [{'values_from': "'2010-01-01'",
-                      'values_to': "'2010-12-31'",
-                      'is_attach': False,
-                      'partition_name': 'emp_2010'
-                      },
-                     {'values_from': "'2011-01-01'",
-                      'values_to': "'2011-12-31'",
-                      'is_attach': False,
-                      'partition_name': 'emp_2011'
-                      }]
-            else:
-                data['partitions'] = \
-                    [{'values_in': "'2012-01-01', '2012-12-31'",
-                      'is_attach': False,
-                      'partition_name': 'emp_2012'
-                      },
-                     {'values_in': "'2013-01-01', '2013-12-31'",
-                      'is_attach': False,
-                      'partition_name': 'emp_2013'
-                      }]
-            data['partition_keys'] = \
-                [{'key_type': 'column', 'pt_column': 'DOJ'}]
-
-        # Add table
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_table_add(self, context_of_tests):
+        """
+        When the table add request is sent to the backend
+        it returns 200 status
+        """
+
+        url = '/browser/table/obj/'
+
+        self.set_up(context_of_tests)
+
+        response = self.tester.post(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(self.db_id) +
+            '/' + str(self.schema_id) + '/',
+            data=json.dumps(self.data),
+            content_type='html/json')
+
+        response.status_code | should.be.equal.to(200)
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_table_add_range_partitioned(self, context_of_tests):
+        """
+        When the range-partitioned table add request is sent to the backend
+        it returns 200 status
+        """
+
+        url = '/browser/table/obj/'
+        server_min_version = 100000
+        partition_type = 'range'
+
+        self.set_up(context_of_tests)
+
+        server_con = server_utils.connect_server(self, self.server_id)
+        server_con['info'] | \
+            should.be.equal.to('Server connected.',
+                               msg='Could not connect to server to add'
+                               'partitioned table.')
+
+        if server_con['data']['version'] < server_min_version:
+            message = 'Partitioned table are not supported by ' \
+                      'PPAS/PG 10.0 and below.'
+            pytest.skip(message)
+
+        self.data['partition_type'] = partition_type
+        self.data['is_partitioned'] = True
+        self.data['partitions'] = \
+            [{'values_from': "'2010-01-01'",
+              'values_to': "'2010-12-31'",
+              'is_attach': False,
+              'partition_name': 'emp_2010'
+              },
+             {'values_from': "'2011-01-01'",
+              'values_to': "'2011-12-31'",
+              'is_attach': False,
+              'partition_name': 'emp_2011'
+              }]
+
+        self.data['partition_keys'] = \
+            [{'key_type': 'column', 'pt_column': 'DOJ'}]
+
+        response = self.tester.post(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(self.db_id) +
+            '/' + str(self.schema_id) + '/',
+            data=json.dumps(self.data),
+            content_type='html/json')
+
+        response.status_code | should.be.equal.to(200)
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_table_add_list_partitioned(self, context_of_tests):
+        """
+        When the list-partitioned table add request is sent to the backend
+        it returns 200 status
+        """
+
+        url = '/browser/table/obj/'
+        server_min_version = 100000
+        partition_type = 'list'
+
+        self.set_up(context_of_tests)
+
+        server_con = server_utils.connect_server(self, self.server_id)
+        server_con['info'] | \
+            should.be.equal.to('Server connected.',
+                               msg='Could not connect to server to add'
+                                   'partitioned table.')
+
+        if server_con['data']['version'] < server_min_version:
+            message = 'Partitioned table are not supported by ' \
+                      'PPAS/PG 10.0 and below.'
+            pytest.skip(message)
+
+        self.data['partition_type'] = partition_type
+        self.data['is_partitioned'] = True
+        self.data['partitions'] = \
+            [{'values_in': "'2012-01-01', '2012-12-31'",
+              'is_attach': False,
+              'partition_name': 'emp_2012'
+              },
+             {'values_in': "'2013-01-01', '2013-12-31'",
+              'is_attach': False,
+              'partition_name': 'emp_2013'
+              }]
+
+        self.data['partition_keys'] = \
+            [{'key_type': 'column', 'pt_column': 'DOJ'}]
+
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.schema_id) + '/',
-            data=json.dumps(data),
+            data=json.dumps(self.data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
